1.1

1.1

get /v1/organizations

Description

get organizations list

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryorganization_id
optional
조직 ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
조직 이름
Example : My Organization
any of [string, null]None
querymaster_account_id
optional
조직 계정 ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKOrganizationPageResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/organizations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "organizations": [
        {
            "created_at": "2024-12-19 01:09:05.000",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "delegation_account_id": "124e7d6c5b4a3z2y1x0w9v8u7t6s5r",
            "id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
            "master_account_id": "9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r",
            "modified_at": "2023-10-15 14:30:00",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "name": "My Organization",
            "root_unit_id": "r-abcd7d6c5b4a3z2y1x0w9v8u7t6s5r",
            "use_scp_yn": true
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}